<script>
import config from "./config";
import store from "@/store";
import { getToken } from "@/utils/auth";
import eruda from "eruda";
export default {
  onLaunch: function () {
    // new VConsole();
    eruda.init();
    this.initApp();
  },
  methods: {
    // 初始化应用
    initApp() {
      // 初始化应用配置
      this.initConfig();
    },
    initConfig() {
      this.globalData.config = config;
    },
    checkLogin() {
      if (!getToken()) {
        this.$tab.reLaunch("/pages/login");
      }
    },
  },
};
</script>

<style lang="scss">
@import "@/uni_modules/uview-ui/index.scss";
@import "@/static/scss/index.scss";
@import "@/static/font/iconfont.css";
.overflowTextHidden{
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

page{
  height:100vh;
}
</style>
